#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QGridLayout>
#include <QMenuBar>
#include <QTreeWidget>
#include <QFileDialog>
#include <QFile>
#include <QXmlSimpleReader>
#include <QTextEdit>
#include <QDockWidget>
#include <QTableView>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void OpenFile();
    void ClearTree();
    void CloseWindow();
    void CloseFile();
    void ExecuteQuery();
    void OpenQuery();
    void ActActive();
    void slotCustomMenuRequested(const QPoint&);

private:
    Ui::MainWindow *ui;
    QGridLayout *mainLayout;
    QTreeWidget* treeWidget;
    QWidget* mainWidget;
    QTextEdit* textEdit;
    QTextEdit* textEditForDock;
    QDockWidget* dock;
    QTableView* for_contextMenu;
    QMenu* menuCustom;
    QFile* currnet_file;
    QTreeWidgetItem* currnet_pos;
};

#endif // MAINWINDOW_H